using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CameraController : MonoBehaviour
{
    [SerializeField] Transform Target;
    [SerializeField] Vector3 PositionOffset;
    [SerializeField] Vector3 LookOffset;

    private void LateUpdate()
    {
        if (Target == null) return;

        transform.position = Target.position + PositionOffset;
        transform.LookAt(Target.position + LookOffset);
    }
}
